﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            wdg1.DataSource = CreateDataTable();
        }
        else
        {
            wdg1.EnsureTemplates();
        }

        wdg1.DataBind();
    }

    protected DataTable CreateDataTable()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("StationID");
        dt.Columns.Add("Name");
        dt.Columns.Add("City");

        DataRow row = dt.NewRow();
        row.SetField<int>("StationID", 1);
        row.SetField<string>("Name", "John");
        row.SetField<string>("City", "Vancouver");
        dt.Rows.Add(row);

        DataRow row1 = dt.NewRow();
        row1.SetField<int>("StationID", 2);
        row1.SetField<string>("Name", "Jack");
        row1.SetField<string>("City", "Toronto");
        dt.Rows.Add(row1);

        DataRow row2 = dt.NewRow();
        row2.SetField<int>("StationID", 3);
        row2.SetField<string>("Name", "Bill");
        row2.SetField<string>("City", "London");
        dt.Rows.Add(row2);

        DataRow row3 = dt.NewRow();
        row3.SetField<int>("StationID", 4);
        row3.SetField<string>("Name", "Fred");
        row3.SetField<string>("City", "New York");
        dt.Rows.Add(row3);

        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dt.Columns["id"];
        dt.PrimaryKey = PrimaryKeyColumns;

        return dt;
    }
}