﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v15.2, Version=15.2.20152.2195, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style>
        /*#wdg1 {
            table-layout: auto;
        }

        .noWrapCellStyle {
            white-space: nowrap;
        }

        tbody.gridOverflowStyle tr td {
            overflow: visible;
        }*/
        #textWidthChecker14 {
            font-family: verdana;
            text-align: left;
            font-size: 14px;
            padding-left: 8px;
        }

        #wdg1 { display: inline-table; }

    </style>
    <script type="text/javascript">


        //Resizes dashboard grids based on font size selected for grid
        //requires a number of span IDs textWidthChecker (12-18) that
        //have styling in Dashboard.CSS that matches the header styling
        //of the grids to compare sizes

        function resizeDashboardGrid(sender, eventargs) {
            debugger;
            var grid = sender;
            var textWidthChecker = document.getElementById('textWidthChecker14');
            var columns = grid.get_columns();
            var row = grid.get_rows().get_row(0);
            var gridWidth = 0;
            for (colIdx = 0; colIdx < columns.get_length() ; colIdx++) {

                var col = columns.get_column(colIdx);
                textWidthChecker.innerHTML = col.get_headerText();
                var cellElement = row.get_cell(colIdx)._element;

                if (!col.get_hidden()) {
                    if (textWidthChecker.offsetWidth > cellElement.offsetWidth) {
                        var newWidth = textWidthChecker.offsetWidth + 8;
                        col.set_width(newWidth + 'px');
                    }
                    // resize based on header text length
                    if (col.get_headerElement().offsetWidth != col.get_headerText().length * 8) {
                        var newWidth = (col.get_headerText().length * 8).toString() + 'px';
                        col.set_width(newWidth);
                    }
                    gridWidth = col.get_w + gridWidth;
                }
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <span id="textWidthChecker14"></span>
        </div>
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        <div>
            <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                <ContentTemplate>
                    <asp:Panel ID="Panel1" runat="server">

                        <ig:WebDataGrid ID="wdg1" runat="server" EnableAjax="False" AutoGenerateColumns="false" EnableDataViewState="True" DataKeyFields="StationID"
                            EnableAjaxViewState="False" Height="390px" ClientEvents-Initialize="resizeDashboardGrid">
                            <Columns>
                                <ig:TemplateDataField Key="Name">
                                    <ItemTemplate>
                                        <asp:Label ID="lblName" runat="server" Text='<%# Eval("Name")%>'></asp:Label>
                                    </ItemTemplate>
                                    <Header Text="Name1234567899">
                                    </Header>
                                </ig:TemplateDataField>
                                <ig:TemplateDataField Key="City">
                                    <ItemTemplate>
                                        <asp:Label ID="lblType" runat="server" Text='<%# Eval("City")%>'></asp:Label>
                                    </ItemTemplate>
                                    <Header Text="Station">
                                    </Header>
                                </ig:TemplateDataField>
                            </Columns>
                            <Behaviors>
                            </Behaviors>
                        </ig:WebDataGrid>
                    </asp:Panel>
                </ContentTemplate>
            </asp:UpdatePanel>
            <asp:Timer ID="Timer1" runat="server" Interval="5000"></asp:Timer>
        </div>
    </form>
</body>
</html>
